from pydantic import BaseModel, conlist

from services.server_integration.schemas.enableabl import Enableable


class SensorConfig(Enableable):
    normal_state: bool = True


class AlarmConfig(BaseModel):
    sensors: conlist(SensorConfig, min_items=2, max_items=2) = [SensorConfig(), SensorConfig()]
    sfp: conlist(bool, min_items=2, max_items=2) = [False, False]
    server_alarm: bool = False
    modem_alarm: bool = False
